Package org.apache.jmeter.report.core

# Class SampleWriter

java.lang.Object
org.apache.jmeter.report.core.SampleWriter

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Direct Known Subclasses:
  `AbstractSampleWriter`

public abstract class SampleWriter extends Object implements Closeable
Describes sample writer basic operations.
Basically a sample writer is able to write samples to an unknown destination and close itself.

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SampleWriter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract long`
  `write(Sample sample)`
  Write a sample to the underlying destination

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.io.Closeable

  `close`

- ## Constructor Details

  - ### SampleWriter

    public SampleWriter()

- ## Method Details

  - ### write

    public abstract long write(Sample sample)
    Write a sample to the underlying destination
    Parameters:
      `sample` - The sample to be written (Must not be `null`)
    Returns:
      The number of samples written at this time to the underlying destination